> ## Documentation Index
> Fetch the complete documentation index at: https://doc.allcomtelecom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lista com as tags do usuário

> Faz a listagem de tags de um usuário



## OpenAPI

````yaml GET /costummer
openapi: 3.0.1
info:
  title: OpenAPI Auth Store
  description: API de exemplo para demonstração de autenticação e obtenção de tokens.
  license:
    name: Allcom Telecom
  version: 1.0.0
servers:
  - url: >-
      https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
security: []
paths:
  /costummer:
    servers:
      - url: https://api.allcomtelecom.com/api:XUynQtIz
        description: Faz a listagem de dispositivos de um usuário
    get:
      description: Faz a listagem de tags de um usuário
      parameters:
        - name: token
          in: query
          required: true
          schema:
            type: string
            example: 20234397fs9vcd978qr308q9703cbfdbd9vuy07wrw97rq90qrw08
        - name: page
          in: query
          required: false
          schema:
            type: string
            example: '1'
            default: '1'
        - name: per_page
          in: query
          required: false
          schema:
            type: string
            example: '25'
            default: '25'
        - name: offset
          in: query
          required: false
          schema:
            type: string
            example: offset
            default: 'null'
      responses:
        '200':
          description: Listagem de dispositivos retornada com sucesso.
          content:
            application/json:
              schema:
                type: object
                properties:
                  Sucesso:
                    type: string
                    example:
                      itemsReceived: 0
                      curPage: 0
                      nextPage: 0
                      prevPage: 0
                      offset: 0
                      perPage: 0
                      items:
                        - id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                          created_at: now
                          accounts_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                          device_name: string
                          serial_number: string
                          operational_status: string
                          battery: 0
                          last_connected: 0
                          lastConfiguration: {}
                          lastReport: {}
                          isTag: true
                          address: {}
                          icone: string
                          nextTo: string
                          PontoREF: false
                          geo_point: string
                          image:
                            access: public
                            path: string
                            name: string
                            type: string
                            size: 0
                            mime: string
                            meta: {}
                            url: string
                          groups:
                            id: 0
                            created_at: now
                            accounts_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                            title: string
                            color: string
                          products:
                            id: 0
                            created_at: now
                            deviceBrand: string
                            deviceType: string
                            productName: string
                            account_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
              example:
                itemsReceived: 0
                curPage: 0
                nextPage: 0
                prevPage: 0
                offset: 0
                perPage: 0
                items:
                  - id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                    created_at: now
                    accounts_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                    device_name: string
                    serial_number: string
                    operational_status: string
                    battery: 0
                    last_connected: 0
                    lastConfiguration: {}
                    lastReport: {}
                    isTag: true
                    address: {}
                    icone: string
                    nextTo: string
                    PontoREF: false
                    geo_point: string
                    image:
                      access: public
                      path: string
                      name: string
                      type: string
                      size: 0
                      mime: string
                      meta: {}
                      url: string
                    groups:
                      id: 0
                      created_at: now
                      accounts_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                      title: string
                      color: string
                    products:
                      id: 0
                      created_at: now
                      deviceBrand: string
                      deviceType: string
                      productName: string
                      account_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        '400':
          description: Requisição mal formada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Input Error. Check the request payload for issues.
              example:
                error: Input Error. Check the request payload for issues.
        '401':
          description: Requisição requer autenticação.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Unauthorized
              example:
                error: Requisição requer autenticação.
        '403':
          description: O acesso ao recurso foi negado.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: >-
                        Access denied. Additional privileges are needed access
                        the requested resource
              example:
                error: >-
                  Access denied. Additional privileges are needed access the
                  requested resource
        '404':
          description: URI de API/Recurso inexiste para processamento.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Not Found. The requested resource does not exist.
              example:
                error: Not Found. The requested resource does not exist.
        '429':
          description: >-
            Quando um usuário ultrapassa os limites provisionados de requisições
            para determinado endpoint, a API retornará código HTTP 429 “Too Many
            Requests”
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Rate Limited. Too many requests.
              example:
                error: Rate Limited. Too many requests.
        '500':
          description: Erro Interno do servidor.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Unexpected error
              example:
                error: Unexpected error

````